Get Escalations
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/escalations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/escalations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/escalations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escalation_type": "ADDITIONAL_REQUIREMENTS__DOCUMENTATION",
"action_type": "NOTIFICATION",
"reason": "<string>",
"status": "NEW",
"created_at": "2023-11-07T05:31:56Z",
"resource_type": "BENEFITS_CHECK",
"silna_url": "<string>",
"deadline": null,
"last_submitted_at": null,
"resource_id": null,
"patient_id": null,
"payor_id": null,
"supplemental_file_ids": null
}
],
"first_id": null,
"last_id": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Escalations
Get Escalations
GET
/
public
/
v1
/
escalations
/
Get Escalations
This endpoint is in beta and breaking changes can be introduced with little notice
action_type that indicates whether a response is needed:
SUBMISSION: The escalation blocks task processing until the provider responds. Thereasonfield describes what is needed.NOTIFICATION: Informational only. No action required.
escalation_type field identifies the specific category (e.g., ADDITIONAL_REQUIREMENTS__DOCUMENTATION, DECISION_RENDERED__DENIAL, NOTIFICATION__PATIENT__INSURANCE). Use this to programmatically route escalations in your system.
Related resources are referenced by UUID. Use the corresponding endpoints to fetch details:
patient_id→ Get Patientpayor_id→ Get Payorresource_id→ Get Prior Authorization or Get Benefits Checksupplemental_file_ids→ Get File
Note: This endpoint only returns V2 escalation types. Legacy escalations created prior to 2026 use an older type system and will not be returned by this endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
BENEFITS_CHECK, PRIOR_AUTHORIZATION Available options:
NEW, IN_PROGRESS, RESOLVED, WITHDRAWN